Loading...
Searching...
No Matches
etl::bitset_impl< TElement, etl::bitset_storage_model::Multi >::value_is_in_one_element< Position, Length, Bits_Per_Element > Struct Template Reference

Check to see if the requested extract is contained within one element. More...

`#include <bitset_new.h>`

## Static Public Attributes

static ETL_CONSTANT bool | value = ((Position + Length - 1) >> etl::log2<Bits_Per_Element>::value) == (Position >> etl::log2<Bits_Per_Element>::value)

## Detailed Description

template<typename TElement>
template<size_t Position, size_t Length, size_t Bits_Per_Element>
struct etl::bitset_impl< TElement, etl::bitset_storage_model::Multi >::value_is_in_one_element< Position, Length, Bits_Per_Element >

Check to see if the requested extract is contained within one element.

The documentation for this struct was generated from the following file:

- include/etl/private/bitset_new.h